apiVersion: apps/v1
kind: Deployment
metadata:
  name: whoami-review-b
  labels:
    oasis.duke.edu/application-name: whoami
    oasis.duke.edu/application-environment: review-b
spec:
  replicas: 1
  selector:
    matchLabels:
      oasis.duke.edu/application-name: whoami
      oasis.duke.edu/application-environment: review-b
  template:
    metadata:
      labels:
        oasis.duke.edu/application-name: whoami
        oasis.duke.edu/application-environment: review-b
    spec:
      containers:
      - name: whoami
        image: traefik/whoami
        env:
          - name: WHOAMI_PORT_NUMBER
            value: "8080"
        ports:
        - containerPort: 8080
